=== src/applications/osgearth_earthfile/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY OSGEARTHFEATURES_LIBRARY)

SET(TARGET_SRC osgearth_earthfile.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_earthfile)
