=== debian/changelog ===
osgearth (2.0+dfsg-4) unstable; urgency=low

  * Changed maintainer to Debian GIS Project
  * Added package osgearth-data
  * Renamed osgearth-dev to libosgearth-dev
  * Removed binaries from libosgearth-dev
  * Moved to sections devel/libs/libdevel
  * Fixed detection of OpenSceneGraph 3.0.0
  * Enhanced package descriptions
  * Standards-Version 3.9.2
  * Added source/format 3.0 (quilt)
  * Ready for Debian upload (closes: #633068)

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 14 Jul 2011 22:13:36 +0200

osgearth (2.0-3) unstable; urgency=low

  * GDAL 1.8 support

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 09 May 2011 21:32:01 +0200

osgearth (2.0-2) unstable; urgency=low

  * Missing libraries added (*.so.2.0.0)
  * lintian patch-system-but-no-source-readme fixed

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Tue, 01 Mar 2011 00:27:42 +0100

osgearth (2.0-1) unstable; urgency=low

  * Upstream release 2.0
  * Moved sample applications to osgearth-dev

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 28 Feb 2011 23:17:11 +0100

osgearth (2.0~rc4-1) unstable; urgency=low

  * Upstream master branch 11.2.11

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sat, 12 Feb 2011 21:10:13 +0100

osgearth (1.4.1-2) unstable; urgency=low

  * Lintian fixes

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Fri, 22 Oct 2010 00:50:18 +0200

osgearth (1.4.1-1) lucid; urgency=low

  * Upstream release 1.4.1

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sun, 10 Oct 2010 22:16:24 +0200

osgearth (1.4-6) lucid; urgency=low

  * Backport of fix for some Intel graphic cards

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 02 Sep 2010 21:36:07 +0200

osgearth (1.4-5) lucid; urgency=low

  * geopole.earth added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 22:09:29 +0200

osgearth (1.4-4) lucid; urgency=low

  * Build dependency fix

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 21:48:05 +0200

osgearth (1.4-3) lucid; urgency=low

  * Package fix

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 16:24:19 +0200

osgearth (1.4-2) lucid; urgency=low

  * libosgearth1 package added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 14:37:20 +0200

osgearth (1.4-1) lucid; urgency=low

  * New upstream release

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 10:21:31 +0200

osgearth (1.3-4) lucid; urgency=low

  * Update to libgdal 1.7

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 31 May 2010 00:03:43 +0200

osgearth (1.3-3) karmic; urgency=low

  * osgearth-dev package added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sun, 07 Feb 2010 01:29:04 +0100

osgearth (1.3-2) karmic; urgency=low

  * Replaced ttf-mscorefonts by ttf-liberation

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sat, 06 Feb 2010 20:30:24 +0100

osgearth (1.3-1) karmic; urgency=low

  * New upstream release

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 04 Feb 2010 22:44:34 +0100

osgearth (1.3rc1-1) karmic; urgency=low

  * Initial Debian package release based on SVN tag osgearth_1.3RC1_T2010-01-04.

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 07 Jan 2010 13:31:14 +0100
