=== debian/control ===
Source: osgearth
Section: devel
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Pirmin Kalberer <pi_deb@sourcepole.ch>
Build-Depends: debhelper (>= 7), quilt, cmake (>= 2.6.2),
 libopenscenegraph-dev (>= 2.8.0), openscenegraph (>= 2.8.0),
 libgdal-dev, libgeos-dev, libexpat1-dev (>= 2.0.1),
 libcurl4-gnutls-dev, libzip-dev, libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://osgearth.org/
Vcs-Git: git://git.debian.org/pkg-grass/osgearth.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/osgearth.git

Package: osgearth
Architecture: any
Depends: libosgearth1 (>= 1.4-2), ttf-liberation, ${shlibs:Depends}, ${misc:Depends}
Suggests: osgearth-data
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (binaries)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains binaries.

Package: osgearth-data
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (data)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains data files.

Package: libosgearth1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: osgearth (<< 1.4-2)
Breaks: osgearth (<< 1.4-2)
Suggests: openscenegraph
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (shared libs)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared libraries.

Package: libosgearth-dev
Section: libdevel
Architecture: any
Depends: libopenscenegraph-dev, libgeos-dev, libosgearth1 (= ${binary:Version}), ${misc:Depends}
Replaces: osgearth-dev
Description: osgEarth development files
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the development files.
