=== debian/watch ===
version=3
http://githubredir.debian.net/github/gwaldron/osgearth .*osgearth_(.*)_.*.tar.gz
